/* -*-C++-*-
 * ###################################################################
 *  EvoX - evolution in complex systems
 * 
 *  FILE: "dummy_matrix.c"
 *                                    created: 14/10/97 {6:54:50 pm} 
 *                                last update: 14/10/97 {7:12:07 pm} 
 *  Author: Vince Darley
 *  E-mail: <darley@fas.harvard.edu>
 *    mail: Division of Engineering and Applied Sciences, Harvard University
 *          Oxford Street, Cambridge MA 02138, USA
 *     www: <http://www.fas.harvard.edu/~darley/>
 *  
 *  See header file for further information
 * ###################################################################
 */

#define PLPLOT_MATRIX_CLASSES
#include "tclMatrix.h"

tclMatrix * dummyMatrixProc(Tcl_Interp *, const char *);

static Tcl_GetMatrixPtrProc GetMatrixProc = dummyMatrixProc;

void Tcl_RegisterMatrixType(Tcl_GetMatrixPtrProc p) {
	GetMatrixProc = p;
}

tclMatrix * Tcl_GetMatrixPtr(Tcl_Interp *interp, const char *matName)
{
    return (*GetMatrixProc)(interp,matName);
}

tclMatrix * dummyMatrixProc(Tcl_Interp *, const char *) {
	return (tclMatrix *) NULL;
}


